# CoplanarPolygonOutlineGeometry

#### new Cesium.CoplanarPolygonOutlineGeometry(options)
Core/CoplanarPolygonOutlineGeometry.js 73

A description of the outline of a polygon composed of arbitrary coplanar positions.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Description
--- | --- | ---
`polygonHierarchy` | PolygonHierarchy | A polygon hierarchy that can include holes.

##### Example:

    var polygonOutline = new Cesium.CoplanarPolygonOutlineGeometry({
      positions : Cesium.Cartesian3.fromDegreesArrayHeights([
         -90.0, 30.0, 0.0,
         -90.0, 30.0, 1000.0,
         -80.0, 30.0, 1000.0,
         -80.0, 30.0, 0.0
      ])
    });
    var geometry = Cesium.CoplanarPolygonOutlineGeometry.createGeometry(polygonOutline);

##### See:

- CoplanarPolygonOutlineGeometry.createGeometry

### Members

#### packedLength : Number
Core/CoplanarPolygonOutlineGeometry.js 87

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.CoplanarPolygonOutlineGeometry.createGeometry(polygonGeometry) → Geometry|undefined
Core/CoplanarPolygonOutlineGeometry.js 187

Computes the geometric representation of an arbitrary coplanar polygon, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`polygonGeometry` | CoplanarPolygonOutlineGeometry | A description of the polygon.

##### Returns:

The computed vertices and indices.

#### static Cesium.CoplanarPolygonOutlineGeometry.fromPositions(options) → CoplanarPolygonOutlineGeometry
Core/CoplanarPolygonOutlineGeometry.js 98

A description of a coplanar polygon outline from an array of positions.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Description
--- | --- | ---
`positions` | Array.<Cartesian3> | An array of positions that defined the corner points of the polygon.

##### Returns:

#### static Cesium.CoplanarPolygonOutlineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/CoplanarPolygonOutlineGeometry.js 122

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | CoplanarPolygonOutlineGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### static Cesium.CoplanarPolygonOutlineGeometry.unpack(array, startingIndex, result) → CoplanarPolygonOutlineGeometry
Core/CoplanarPolygonOutlineGeometry.js 152

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | CoplanarPolygonOutlineGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new CoplanarPolygonOutlineGeometry instance if one was not provided.